#include <iostream>
#include "Frucht.h"

using namespace std;

Frucht::Frucht(char const *name) : dieFrucht(name) { }

Frucht::Frucht(string &name) : dieFrucht(name) { }

void Frucht::Druck() {
	cout << "(F) "
		<< dieFrucht << endl;
}

HFrucht::HFrucht(char const *name) : Frucht(name) { }

void HFrucht::Druck() {
	cout << "(H) " << dieFrucht << endl;
}

Obst::Obst(char const *name) : Frucht(name) { }

void Obst::Druck() {
	cout << "(O) " << dieFrucht << endl;
}

SFrucht::SFrucht(char const *name) : Obst(name) { }

void SFrucht::Druck() {
	cout << "(S) " << dieFrucht << endl;
}
